com.google.cloud.dataflow.sdk.options

## Interface DataflowProfilingOptions

All Known Subinterfaces:
  BlockingDataflowPipelineOptions, DataflowPipelineOptions, DataflowWorkerHarnessOptions, TestDataflowPipelineOptions

    @Experimental
     @Hidden
    public interface DataflowProfilingOptions

Options for controlling profiling of pipeline execution.

### Nested Class Summary

Nested Classes
`static class` `DataflowProfilingOptions.DataflowProfilingAgentConfiguration` Configuration the for profiling agent.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `getEnableProfilingAgent()`
`DataflowProfilingOptions.DataflowProfilingAgentConfiguration` `getProfilingAgentConfiguration()`
`void` `setEnableProfilingAgent(boolean enabled)`
`void` `setProfilingAgentConfiguration(DataflowProfilingOptions.DataflowProfilingAgentConfiguration configuration)`

### Method Detail

#### getEnableProfilingAgent

    boolean getEnableProfilingAgent()

#### setEnableProfilingAgent

    void setEnableProfilingAgent(boolean enabled)

#### getProfilingAgentConfiguration

    @Hidden
    DataflowProfilingOptions.DataflowProfilingAgentConfiguration getProfilingAgentConfiguration()

#### setProfilingAgentConfiguration

    void setProfilingAgentConfiguration(DataflowProfilingOptions.DataflowProfilingAgentConfiguration configuration)